Skip to main content

Describe On-Demand Cluster (V2)
Public Preview

Describe the details of a specific on-demand cluster in the current project.

GET/v2/clusters/onDemandClusters/{CLUSTER_ID}
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
Acceptstringheader

Use application/json.

Example Value: application/json
CLUSTER_IDstringpathrequired

The ID of the cluster to describe.

Example Value: inxx-xxxxxxxxxxxxxxx
export TOKEN="YOUR_API_KEY"
export CLUSTER_ID="inxx-xxxxxxxxxxxxxxx"

curl --request GET \
--url "${BASE_URL}/v2/clusters/onDemandClusters/${CLUSTER_ID}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Accept: application/json" \
--header "Content-Type: application/json"
Responses200 - application/json
codeinteger

Response code.

dataobject

Details of the current cluster

propertiesobject
projectIdstring

ID of the project.

clusterIdstring

ID of the cluster.

Example Value: inxx-xxxxxxxxxxxxxxx
clusterNamestring

Name of the cluster.

regionIdstring

Cloud region where the cluster is located.

Example Value: aws-us-west-2
cuSizeinteger

CU size of the cluster

statusstring

Current cluster status

endpointstring

Cluster public endpoint. For an on-demand cluster, the endpoint is an on-demand compute endpoint, which is shared among all on-demand clusters in the project. Use that with the target cluster ID for searches and queries.

Example Value: https://proj-xxxxxxxxxxxxxxx.aws-us-west-2.zillizcloud.com
privateLinkstring

Cluster private endpoint. This is an empty string if private link is not enabled.

createdBystring

Email address of the user who create the cluster.

createTimeinteger

Timestamp at which the cluster is created.

autoSuspendinteger

Auto-suspend idle window configured for the cluster. The cluster will be automatically suspended if there is no request within the specified period. The value is an integer representing the number of seconds. For example, 300 means 5 minutes.

{
"code": 0,
"data": {
"projectId": "proj-xxxxxxxxxxxxxxxxxx",
"clusterId": "inxx-xxxxxxxxxxxxxxx",
"clusterName": "Cluster-01",
"regionId": "aws-us-west-2",
"cuSize": 8,
"status": "RUNNING",
"endpoint": "https://proj-xxxxxxxxxxxxxxx.aws-us-west-2.zillizcloud.com",
"privateLink": "",
"createdBy": "john.doe@zilliz.com",
"createTime": 1745396115000,
"autoSuspend": 60
}
}
{
"code": 21119,
"message": "The apikey is illegal."
}